// file MyMap.cpp
// author Edda Nourbakhsh


#pragma once


#include "MyMap.h"


MyMapType MyMap::mMyMap;
std::vector< std::shared_ptr < MyMap > > MyMap::mInstances;


MyMap_API MyMap * InitMap(char const * name)
{
  try
  {
    std::shared_ptr< MyMap > sp;
    sp = std::make_shared< MyMap >(name);
	MyMap::mInstances.push_back(sp);

    return sp.get();

  }
  catch (...)
  {
    return nullptr;
  }
}
